require 'mkmf'

$CFLAGS = ""
#$CFLAGS="-DUSE_EUC -DUSE_SJIS"
##$CFLAGS="-DUSE_SJIS -DUSE_WIN32API"

if enable_config("euc", true)
  $CFLAGS += " -DUSE_EUC"
end
if enable_config("sjis", true)
  $CFLAGS += " -DUSE_SJIS"
end
if enable_config("win32api", false)
  $CFLAGS += " -DUSE_WIN32API"
end

if enable_config("fullwidth-reverse-solidus", false)
  $CFLAGS += " -DUSE_FULLWIDTH_REVERSE_SOLIDUS"
end

if enable_config("compat-win32api", false)
  $CFLAGS += " -DCOMPAT_WIN32API"
end

create_makefile("uconv")
